29 May Edited #1

Plugin fails to install on PostgreSQL

Ultimate subscriber
Hello! When installing BankPipe beta 6 on MyBB 1.8.20, with PHP 7.3 and PostgreSQL 11.3, the plugin fails to install, and throws the following error message:
SQL Error:
0 - ERROR: syntax error at or near "(" LINE 2: bid int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY, ^
Query:
CREATE TABLE mybb_bankpipe_items ( bid int(10) NOT NULL AUTO_INCREMENT PRIMARY KEY, uid int(10) NOT NULL, price decimal(6,2) NOT NULL, gid int(10) NOT NULL DEFAULT '0', aid int(10) NOT NULL DEFAULT '0', email TEXT, name varchar(128) DEFAULT NULL, description varchar(128) DEFAULT NULL, htmldescription text, discount smallint(3) NOT NULL, expires int(10) UNSIGNED NOT NULL DEFAULT '0', primarygroup tinyint(1) NOT NULL DEFAULT '1', expirygid int(5) NOT NULL DEFAULT '0', type tinyint(1) NOT NULL, KEY aid (aid) ) ENGINE=MyISAM;
Shade 29 May
#2
Thanks for reporting. I’m not particularly skilled in PostgreSQL but I will do my best to fix this.
kawaii 30 May
#3
Thanks Shade!